### Function

# Gdk.Paintable.new_empty

#### Declaration [src]

    GdkPaintable*
    gdk_paintable_new_empty (
      int intrinsic_width,
      int intrinsic_height
    )

#### Description [src]

Returns a paintable that has the given intrinsic size and draws nothing.

This is often useful for implementing the `GdkPaintableInterface`.`get_current_image()` virtual function when the paintable is in an incomplete state (like a Gtk.MediaStream before receiving the first frame).

#### Parameters

`intrinsic_width` | `int`
| The intrinsic width to report. Can be 0 for no width.
`intrinsic_height` | `int`
| The intrinsic height to report. Can be 0 for no height.

#### Return value

Returns: `GdkPaintable`
a `GdkPaintable`
Ownership of the data is transferred to the caller